import { kebabCase } from "scule";
import { defineNuxtPlugin, unref } from "#imports";
export default defineNuxtPlugin(() => {
  const resolveToken = (path) => `var(--${unref(path).split(".").map((key) => kebabCase(key)).join("-")})`;
  return {
    provide: {
      tokens: resolveToken,
      dt: resolveToken
    }
  };
});
